---
title: TransitionEvent.elapsedTime
slug: Web/API/TransitionEvent/elapsedTime
tags:
  - API
  - CSS
  - CSS3 Transitions
  - CSSOM
  - Experimental
  - Property
  - Reference
  - TransitionEvent
---
<p>{{ apiref("CSSOM") }} {{SeeCompatTable}}</p>

<p>The <code><strong>TransitionEvent.elapsedTime</strong></code> read-only property is a <code>float</code> giving the amount of time the animation has been running, in seconds, when this event fired. This value is not affected by the {{cssxref("transition-delay")}} property.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>name</em> = <em>TransitionEvent</em>.elapsedTime</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('CSS3 Transitions', '#Events-TransitionEvent-elapsedTime', 'TransitionEvent.elapsedTime') }}</td>
   <td>{{ Spec2('CSS3 Transitions')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.TransitionEvent.elapsedTime")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Guide/CSS/Using_CSS_transitions">Using CSS transitions</a></li>
</ul>
